#
# Conditional build:
%bcond_without	egl	# EGL framebuffer backend
%bcond_with	mir	# Mir backend (requires cogl support for Mir, which in turn conflicts with wayland)
%bcond_without	wayland	# Wayland backend and compositor
%bcond_without	evdev	# evdev support for input events
%bcond_with	tslib	# TSLib support for input events (outdated?)

Summary:	Library for rich GUIs
Summary(pl.UTF-8):	Biblioteka do bogatych graficznych interfejsów użytkownika
Name:		clutter
Version:	1.26.4
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/clutter/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	624dd776a5159de0267587b1df6b97b2
Patch0:		gtkdoc.patch
Patch1:		missing.patch
URL:		http://www.clutter-project.org/
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	atk-devel >= 1:2.5.3
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.14.0
BuildRequires:	cairo-gobject-devel >= 1.14.0
BuildRequires:	cogl-devel >= 1.22.0
%{?with_wayland:BuildRequires:	cogl-devel(wayland) >= 1.22.0}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.53.4
BuildRequires:	gobject-introspection-devel >= 1.39.0
BuildRequires:	gtk+3-devel >= 3.22.6
BuildRequires:	gtk-doc >= 1.20
BuildRequires:	json-glib-devel >= 0.12.0
%{?with_evdev:BuildRequires:	libinput-devel >= 0.19.0}
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxslt-progs
# mirclient
%{?with_mir:BuildRequires:	mir-devel}
BuildRequires:	pango-devel >= 1:1.30
BuildRequires:	pkgconfig >= 1:0.16
BuildRequires:	python-modules
BuildRequires:	tar >= 1:1.22
%{?with_tslib:BuildRequires:	tslib-devel >= 1.1}
%{?with_evdev:BuildRequires:	udev-devel >= 1:136}
%{?with_evdev:BuildRequires:	udev-glib-devel}
# wayland-client wayland-cursor (for client), wayland-server (for compositor)
%{?with_wayland:BuildRequires:	wayland-devel}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.4
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
%if %{with evdev} || %{with wayland}
BuildRequires:	xorg-lib-libxkbcommon-devel
%endif
BuildRequires:	xz
Requires:	atk >= 1:2.5.3
Requires:	cairo-gobject >= 1.14.0
Requires:	cogl >= 1.22.0
%{?with_wayland:Requires:	cogl(wayland) >= 1.22.0}
Requires:	glib2 >= 1:2.53.4
Requires:	gtk+3 >= 3.22.6
Requires:	json-glib >= 0.12.0
%{?with_evdev:Requires:	libinput >= 0.19.0}
Requires:	pango >= 1:1.30
%{?with_evdev:Requires:	udev-libs >= 1:136}
%{?with_evdev:Provides:	clutter(evdev) = %{version}-%{release}}
Obsoletes:	clutter-cairo < 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clutter is an open source software library for creating fast, visually
rich graphical user interfaces. The most obvious example of potential
usage is in media center type applications. We hope however it can be
used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but
with an API which hides the underlying GL complexity from the
developer. The Clutter API is intended to be easy to use, efficient
and flexible.

%description -l pl.UTF-8
Clutter to biblioteka o otwartych źródłach do tworzenia szybkich,
bogatych wizualnie graficznych interfejsów użytkownika. Najbardziej
oczywistym przykładem potencjalnego zastosowania są aplikacje typu
centrum multimedialne. Jednak autorzy mają nadzieję, że znajdzie się
więcej zastosowań.

Clutter wykorzystuje OpenGL (i wkrótce opcjonalnie OpenGL ES) do
renderowania, ale API ukrywa złożoność warstwy GL przed programistami.
API biblioteki Clutter ma być łatwe w użyciu, wydajne i elastyczne.

%package devel
Summary:	Header files for clutter library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki clutter
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLX-devel
Requires:	atk-devel >= 1:2.5.3
Requires:	cairo-gobject-devel >= 1.14.0
Requires:	cogl-devel >= 1.22.0
%{?with_wayland:Requires:	cogl-devel(wayland) >= 1.22.0}
Requires:	gdk-pixbuf2-devel >= 2.0
Requires:	glib2-devel >= 1:2.53.4
Requires:	gtk+3-devel >= 3.22.6
Requires:	json-glib-devel >= 0.12.0
%{?with_evdev:Requires:	libinput-devel >= 0.19.0}
Requires:	pango-devel >= 1:1.30
%{?with_evdev:Requires:	udev-devel >= 1:136}
%{?with_wayland:Requires: wayland-devel}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcomposite-devel >= 0.4
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXext-devel
%if %{with evdev} || %{with wayland}
Requires:	xorg-lib-libxkbcommon-devel
%endif
%{?with_evdev:Provides:	clutter-devel(evdev) = %{version}-%{release}}
Obsoletes:	clutter-cairo-devel < 1.0

%description devel
Header files for clutter library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki clutter.

%package static
Summary:	Static clutter library
Summary(pl.UTF-8):	Statyczna biblioteka clutter
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
%{?with_evdev:Provides:	clutter-static(evdev) = %{version}-%{release}}
Obsoletes:	clutter-cairo-static < 1.0

%description static
Static clutter library.

%description static -l pl.UTF-8
Statyczna biblioteka clutter.

%package apidocs
Summary:	clutter API documentation
Summary(pl.UTF-8):	Dokumentacja API clutter
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
clutter API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API clutter.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I build/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-docs \
	%{?with_egl:--enable-egl-backend} \
	%{?with_evdev:--enable-evdev-input} \
	--enable-gdk-backend \
	--enable-gtk-doc \
	%{?with_mir:--enable-mir-backend} \
	--enable-static \
	%{?with_tslib:--enable-tslib-input} \
%if %{with wayland}
	--enable-wayland-backend \
	--enable-wayland-compositor \
%endif
	--enable-xinput \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libclutter-1.0.la

# move to %{_examplesdir} and package in -examples?
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/clutter-1.0/cookbook/examples

%find_lang clutter-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f clutter-1.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libclutter-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclutter-1.0.so.0
%attr(755,root,root) %{_libdir}/libclutter-glx-1.0.so.0
%{_libdir}/girepository-1.0/Cally-1.0.typelib
%{_libdir}/girepository-1.0/Clutter-1.0.typelib
%{_libdir}/girepository-1.0/ClutterGdk-1.0.typelib
%{_libdir}/girepository-1.0/ClutterX11-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclutter-1.0.so
%attr(755,root,root) %{_libdir}/libclutter-glx-1.0.so
%{_includedir}/clutter-1.0
%{_datadir}/gir-1.0/Cally-1.0.gir
%{_datadir}/gir-1.0/Clutter-1.0.gir
%{_datadir}/gir-1.0/ClutterGdk-1.0.gir
%{_datadir}/gir-1.0/ClutterX11-1.0.gir
%{_pkgconfigdir}/cally-1.0.pc
%{_pkgconfigdir}/clutter-1.0.pc
%{_pkgconfigdir}/clutter-cogl-1.0.pc
%{_pkgconfigdir}/clutter-gdk-1.0.pc
%{_pkgconfigdir}/clutter-glx-1.0.pc
%{_pkgconfigdir}/clutter-x11-1.0.pc
%{_pkgconfigdir}/clutter-egl-1.0.pc
%{?with_mir:%{_pkgconfigdir}/clutter-mir-1.0.pc}
%{_pkgconfigdir}/clutter-wayland-1.0.pc
%{_pkgconfigdir}/clutter-wayland-compositor-1.0.pc
# valgrind support (TODO: better place?)
%dir %{_datadir}/clutter-1.0
%{_datadir}/clutter-1.0/valgrind

%files static
%defattr(644,root,root,755)
%{_libdir}/libclutter-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/clutter
%{_gtkdocdir}/clutter-cookbook
%changelog
* Sun Mar 29 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clutter.git;a=log;h=master

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 07034dd
- updated to 1.26.4
- package valgrind supp file

* Thu May 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 60df9eb
- updated to 1.26.2

* Tue Apr 19 2016 Jakub Bogusz <qboosh@pld-linux.org> 6c0d322
- dropped obsolete BRs (evdev backend uses libinput now, Xfixes API not used directly)

* Thu Mar 24 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 01824c8
- Update to 1.26.0

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> c55c2af
- updated to 1.24.2

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 8a9b809
- updated more versions

* Thu Sep 24 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 1714f61
- Update to 1.24.0

* Wed Jul 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9e6bfe7
- Update to 1.22.4

* Tue May 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 8a56e45
- updated to 1.22.2

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> fe5ed95
- added mir bcond

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> 2af490e
- release 2 (by relup.sh)

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 559ace0
- updated to 1.22.0
- libinput patch applied upstream

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 3426cc6
- x32 rebuild
- release 4 (by relup.sh)

* Sun Feb 01 2015 Jan Rękorajski <baggins@pld-linux.org> 423bd54
- release 3 (by relup.sh)

* Mon Jan 26 2015 Jakub Bogusz <qboosh@pld-linux.org> cf6304f
- added libinput patch (update for libinput 0.8.x from Fedora)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a4a1c69
- updated gettext BR

* Sun Oct 05 2014 Jakub Bogusz <qboosh@pld-linux.org> a798d45
- release 2 (rebuild with libinput 0.6)

* Mon Sep 29 2014 Łukasz Kieś <kiesiu@pld-linux.org> 2631e36
- applied upstream on version 1.20.0

* Mon Sep 29 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9f69742
- updated to 1.20.0

* Sat Aug 16 2014 Łukasz Kieś <kiesiu@pld-linux.org> d936939
- updated to 1.18.4

